import { HttpClient, EventDefinition, MaybeContext, BuildRESTFunction, BuildEventDefinition } from '@wix/sdk-types';
import { C as CreateDraftOrderResponse, a as CreateEmptyDraftOrderResponse, A as AddLineItemsToDraftOrderOptions, b as AddLineItemsToDraftOrderResponse, L as LineItemChangeDetails, U as UpdateLineItemsResponse, I as IdAndApplied, S as SetDiscountsResponse, c as CreateCustomDiscountsOptions, d as CreateCustomDiscountsResponse, D as DeleteCustomDiscountsResponse, e as SetAdditionalFeesResponse, f as CreateCustomAdditionalFeesOptions, g as CreateCustomAdditionalFeesResponse, h as DeleteCustomAdditionalFeesResponse, i as SetShippingInfoOptions, j as SetShippingInfoResponse, k as SetBuyerInfoOptions, l as SetBuyerInfoResponse, m as SetRecipientInfoOptions, n as SetRecipientInfoResponse, o as SetBillingInfoOptions, p as SetBillingInfoResponse, G as GetDraftOrderResponse, q as GetOrderDraftabilityStatusResponse, r as CommitDraftOrderOptions, s as CommitDraftOrderResponse, t as CreateOrderFromDraftOptions, u as CreateOrderFromDraftResponse, v as DraftOrdersQueryBuilder, w as UpdateExtendedFieldsOptions, x as UpdateExtendedFieldsResponse, y as SetTaxExemptionOptions, z as SetTaxExemptionResponse, B as SetBusinessLocationOptions, E as SetBusinessLocationResponse, F as DraftOrderCreatedEnvelope, H as DraftOrderDeletedEnvelope, J as DraftOrderUpdatedEnvelope } from './ecom-v1-draft-order-draft-orders.universal-DkIb6bMI.js';
export { dA as ActionEvent, cj as Activity, ck as ActivityContentOneOf, a8 as ActivityType, bW as AddLineItemsToDraftOrderRequest, b6 as AdditionalFee, b5 as AdditionalFeeDetails, c6 as AdditionalFeeOption, aU as Address, aW as AddressLocation, aT as AddressWithContact, Q as AdjustmentType, bP as ApplicationError, b9 as AppliedDiscount, ba as AppliedDiscountDiscountSourceOneOf, X as AppliedDiscountDiscountType, a9 as AttributionSource, cH as AuthorizedPaymentCaptured, cG as AuthorizedPaymentCreated, cI as AuthorizedPaymentVoided, bm as Balance, bl as BalanceSummary, dE as BaseEventMetadata, aE as BillingAdjustment, aF as BillingAdjustmentPriceSummary, bz as BillingChangedDetails, bx as BillingDetails, by as BillingDetailsChangeTypeOneOf, bD as BusinessLocationChangedDetails, bA as BusinessLocationDetails, bB as BusinessLocationDetailsChangeTypeOneOf, bw as BuyerChangedDetails, bu as BuyerDetails, bv as BuyerDetailsChangeTypeOneOf, b3 as BuyerInfo, b4 as BuyerInfoIdOneOf, bF as CalculatedDraftOrder, bL as CalculationErrors, bM as CalculationErrorsShippingCalculationErrorOneOf, bU as CarrierError, bT as CarrierErrors, ak as CatalogReference, bX as CatalogReferenceLineItem, d7 as ChannelInfo, aa as ChannelType, aq as Color, cg as CommitDraftOrderRequest, bb as Coupon, c5 as CreateCustomAdditionalFeesRequest, c0 as CreateCustomDiscountsRequest, bE as CreateDraftOrderRequest, bV as CreateEmptyDraftOrderRequest, dd as CreateOrderFromDraftRequest, bh as CreatedBy, bi as CreatedByStringOneOf, cW as CreditCardDetails, ci as CurrencyConversionDetails, dm as CursorPaging, dp as CursorPagingMetadata, dj as CursorQuery, dk as CursorQueryPagingMethodOneOf, dq as Cursors, cl as CustomActivity, d8 as CustomField, bY as CustomLineItem, c7 as DeleteCustomAdditionalFeesRequest, c3 as DeleteCustomDiscountsRequest, dg as DeleteDraftOrderRequest, dh as DeleteDraftOrderResponse, bH as DeliveryLogistics, bJ as DeliveryTimeSlot, al as DescriptionLine, an as DescriptionLineDescriptionLineValueOneOf, ao as DescriptionLineName, K as DescriptionLineType, am as DescriptionLineValueOneOf, bN as Details, bO as DetailsKindOneOf, ay as DigitalFile, b8 as DiscountDetails, c1 as DiscountOption, c2 as DiscountOptionDiscountAmountOneOf, Y as DiscountReason, be as DiscountRule, bf as DiscountRuleName, a2 as DiscountType, du as DomainEvent, dv as DomainEventBodyOneOf, ad as DraftOrder, cr as DraftOrderChangesApplied, bn as DraftOrderCommitSettings, dG as DraftOrdersQueryResult, Z as EditingStatus, dw as EntityCreatedEvent, dz as EntityDeletedEvent, dy as EntityUpdatedEvent, dF as EventMetadata, aJ as ExtendedFields, d2 as ExternalReceipt, bR as FieldViolation, a1 as FileType, ar as FocalPoint, aD as FreeTrialPeriod, a5 as FulfillmentStatus, da as FulfillmentStatusesAggregate, aX as FullAddressContactDetails, ce as GetDraftOrderRequest, cf as GetOrderDraftabilityStatusRequest, cN as GiftCardPaymentRefund, dC as IdentificationData, dD as IdentificationDataIdOneOf, bo as InventoryUpdate, aN as ItemChangedDetails, ae as ItemDetails, af as ItemDetailsChangeTypeOneOf, aM as ItemModifier, av as ItemTaxFullDetails, at as ItemType, M as ItemTypeItemType, au as ItemTypeItemTypeDataOneOf, N as JurisdictionType, cA as LineItemAmount, cu as LineItemChanges, bg as LineItemDiscount, cq as LineItemExchangeData, cw as LineItemPriceChange, cv as LineItemQuantityChange, a7 as LineItemQuantityChangeType, ax as LineItemTaxBreakdown, aw as LineItemTaxInfo, bC as Location, aG as LocationAndQuantity, cB as ManagedAdditionalFee, cy as ManagedDiscount, cx as ManagedLineItem, cO as MembershipPaymentRefund, cm as MerchantComment, bc as MerchantDiscount, bd as MerchantDiscountMerchantDiscountReasonOneOf, dB as MessageEnvelope, aK as ModifierGroup, cp as NewExchangeOrderCreated, a3 as NonDraftableReason, ch as Order, cs as OrderChange, ct as OrderChangeValueOneOf, df as OrderCreateNotifications, de as OrderCreateSettings, co as OrderCreatedFromExchange, ai as OrderLineItem, cn as OrderRefunded, a6 as OrderStatus, bt as OrderTaxBreakdown, bs as OrderTaxInfo, cX as PaymentCanceled, cY as PaymentCanceledPaymentDetailsOneOf, cZ as PaymentDeclined, c_ as PaymentDeclinedPaymentDetailsOneOf, P as PaymentOptionType, cS as PaymentPending, cT as PaymentPendingPaymentDetailsOneOf, cQ as PaymentRefundFailed, cP as PaymentRefunded, a4 as PaymentStatus, as as PhysicalProperties, a_ as PickupAddress, bI as PickupDetails, R as PickupDetailsPickupMethod, $ as PickupMethod, ap as PlainTextValue, ag as Price, ah as PriceDescription, bj as PriceSummary, aj as ProductName, di as QueryDraftOrdersRequest, dn as QueryDraftOrdersResponse, c$ as ReceiptCreated, d0 as ReceiptCreatedReceiptInfoOneOf, d3 as ReceiptSent, d4 as ReceiptSentReceiptInfoOneOf, br as RecipientInfoChangedDetails, bp as RecipientInfoDetails, bq as RecipientInfoDetailsChangeTypeOneOf, cJ as RefundInitiated, cR as RefundedAsStoreCredit, cK as RefundedPayment, cL as RefundedPaymentKindOneOf, cU as RegularPayment, cV as RegularPaymentPaymentMethodDetailsOneOf, cM as RegularPaymentRefund, dx as RestoreInfo, a0 as RuleType, cF as SavedPaymentMethod, bZ as SecuredMedia, c4 as SetAdditionalFeesRequest, cb as SetBillingInfoRequest, dt as SetBusinessLocationRequest, c9 as SetBuyerInfoRequest, b$ as SetDiscountsRequest, ca as SetRecipientInfoRequest, c8 as SetShippingInfoRequest, ds as SetTaxExemptionRequest, b2 as ShippingChangedDetails, aO as ShippingDetails, aP as ShippingDetailsChangeTypeOneOf, cE as ShippingInformation, cD as ShippingInformationChange, bG as ShippingOption, bK as ShippingPrice, b1 as ShippingRegion, ab as SortOrder, dl as Sorting, W as SourceType, aV as StreetAddress, aB as SubscriptionDescription, O as SubscriptionFrequency, az as SubscriptionInfo, aC as SubscriptionSettings, aA as SubscriptionTitle, bS as SystemError, dc as TagList, db as Tags, b7 as TaxDetails, bk as TaxSummary, aH as TaxableAddress, aI as TaxableAddressTaxableAddressDataOneOf, T as TaxableAddressType, cC as TotalPriceChange, aL as TranslatableString, cz as TranslatedValue, dr as UpdateExtendedFieldsRequest, b_ as UpdateLineItemsRequest, cc as UpdateShippingInfoRequest, cd as UpdateShippingInfoResponse, d9 as V1BalanceSummary, d5 as V1CreatedBy, d6 as V1CreatedByStringOneOf, aR as V1DeliveryLogistics, aS as V1DeliveryLogisticsAddressOneOf, a$ as V1DeliveryTimeSlot, aZ as V1PickupDetails, aQ as V1ShippingInformation, b0 as V1ShippingPrice, bQ as ValidationError, aY as VatId, V as VatType, ac as WebhookIdentityType, _ as WeightUnit, d1 as WixReceipt } from './ecom-v1-draft-order-draft-orders.universal-DkIb6bMI.js';

declare function createDraftOrder$1(httpClient: HttpClient): CreateDraftOrderSignature;
interface CreateDraftOrderSignature {
    /**
     * Creates or retrieves a draft order based on the specified order ID.
     *
     * When passing the ID of an order that is already in draft, the existing draft order is returned.
     * To complete a draft and update the original order, call Commit Draft Order.
     * @param - ID of the order to create a draft for.
     */
    (orderId: string): Promise<CreateDraftOrderResponse>;
}
declare function createEmptyDraftOrder$1(httpClient: HttpClient): CreateEmptyDraftOrderSignature;
interface CreateEmptyDraftOrderSignature {
    /**
     * Creates an empty draft order.
     *
     * After all relevant details are applied, call Create Order From Draft to convert the draft order to a regular order.
     */
    (): Promise<CreateEmptyDraftOrderResponse>;
}
declare function addLineItemsToDraftOrder$1(httpClient: HttpClient): AddLineItemsToDraftOrderSignature;
interface AddLineItemsToDraftOrderSignature {
    /**
     * Adds catalog or custom line items to a draft order.
     * @param - Draft order ID.
     */
    (draftOrderId: string, options?: AddLineItemsToDraftOrderOptions | undefined): Promise<AddLineItemsToDraftOrderResponse>;
}
declare function updateLineItems$1(httpClient: HttpClient): UpdateLineItemsSignature;
interface UpdateLineItemsSignature {
    /**
     * Updates a draft order's line items.
     *
     * You can update a line item's quantity, price, and description.
     * > **Notes:**
     * > + Specifying a quantity of `0` will remove the line item.
     * > + Price cannot be updated for line items with `paymentOption: MEMBERSHIP`.
     * > + Quantity cannot be decreased for fulfilled line items. To retrieve fulfillment information, specify the order ID when calling List Fulfillments For Single Order ([SDK](https://dev.wix.com/docs/sdk/backend-modules/ecom/order-fulfillments/list-fulfillments-for-single-order) | [REST](https://dev.wix.com/docs/rest/business-solutions/e-commerce/orders/order-fulfillments/list-fulfillments-for-single-order)).
     * @param - Draft order ID.
     * @param - Details of changes to apply per line item.
     */
    (draftOrderId: string, lineItemChanges: LineItemChangeDetails[]): Promise<UpdateLineItemsResponse>;
}
declare function setDiscounts$1(httpClient: HttpClient): SetDiscountsSignature;
interface SetDiscountsSignature {
    /**
     * Applies or unapplies discounts on a draft order.
     *
     * Unapplied discounts are still part of the draft order, but do not affect balance.
     * Existing discounts that are not passed in the request will keep their current state.
     * @param - Draft order ID.
     * @param - Discounts to set on the draft order.
     *
     * Any existing discounts that are not passed will not change.
     */
    (draftOrderId: string, discounts: IdAndApplied[]): Promise<SetDiscountsResponse>;
}
declare function createCustomDiscounts$1(httpClient: HttpClient): CreateCustomDiscountsSignature;
interface CreateCustomDiscountsSignature {
    /**
     * Creates custom discounts.
     *
     * Newly created discounts are unapplied by default.
     * To apply them, use Set Discounts.
     * @param - Draft order ID.
     */
    (draftOrderId: string, options?: CreateCustomDiscountsOptions | undefined): Promise<CreateCustomDiscountsResponse>;
}
declare function deleteCustomDiscounts$1(httpClient: HttpClient): DeleteCustomDiscountsSignature;
interface DeleteCustomDiscountsSignature {
    /**
     * Removes custom discounts from a draft order.
     * @param - Draft order ID.
     * @param - IDs of the discounts to remove from the draft order.
     */
    (draftOrderId: string, discountIds: string[]): Promise<DeleteCustomDiscountsResponse>;
}
declare function setAdditionalFees$1(httpClient: HttpClient): SetAdditionalFeesSignature;
interface SetAdditionalFeesSignature {
    /**
     * Applies or unapplies additional fees on a draft order.
     *
     * Additional fees that are not applied are still part of the draft order, but do not affect balance.
     * Existing additional fees that are not passed in the request will keep their current state.
     * @param - Draft order ID.
     * @param - Additional fees to set on the draft order.
     *
     * Any existing additional fees that are not passed will not change.
     */
    (draftOrderId: string, additionalFees: IdAndApplied[]): Promise<SetAdditionalFeesResponse>;
}
declare function createCustomAdditionalFees$1(httpClient: HttpClient): CreateCustomAdditionalFeesSignature;
interface CreateCustomAdditionalFeesSignature {
    /**
     * Creates custom additional fees on a draft order.
     *
     * Newly created additional fees are not applied by default.
     * To apply them, use Set Additional Fees.
     * @param - Draft order ID.
     */
    (draftOrderId: string, options?: CreateCustomAdditionalFeesOptions | undefined): Promise<CreateCustomAdditionalFeesResponse>;
}
declare function deleteCustomAdditionalFees$1(httpClient: HttpClient): DeleteCustomAdditionalFeesSignature;
interface DeleteCustomAdditionalFeesSignature {
    /**
     * Removes custom additional fees from a draft order.
     * @param - Draft order ID.
     * @param - IDs of the additional fees to remove from the draft order.
     */
    (draftOrderId: string, customAdditionalFees: string[]): Promise<DeleteCustomAdditionalFeesResponse>;
}
declare function setShippingInfo$1(httpClient: HttpClient): SetShippingInfoSignature;
interface SetShippingInfoSignature {
    /**
     * Sets shipping information on a draft order.
     * @param - Draft order ID.
     */
    (draftOrderId: string, options?: SetShippingInfoOptions | undefined): Promise<SetShippingInfoResponse>;
}
declare function setBuyerInfo$1(httpClient: HttpClient): SetBuyerInfoSignature;
interface SetBuyerInfoSignature {
    /**
     * Sets buyer info on a draft order.
     * @param - Draft order ID.
     */
    (draftOrderId: string, options?: SetBuyerInfoOptions | undefined): Promise<SetBuyerInfoResponse>;
}
declare function setRecipientInfo$1(httpClient: HttpClient): SetRecipientInfoSignature;
interface SetRecipientInfoSignature {
    /**
     * Sets recipient info on a draft order.
     * @param - Draft order ID.
     */
    (draftOrderId: string, options?: SetRecipientInfoOptions | undefined): Promise<SetRecipientInfoResponse>;
}
declare function setBillingInfo$1(httpClient: HttpClient): SetBillingInfoSignature;
interface SetBillingInfoSignature {
    /**
     * Sets billing info on a draft order.
     * @param - Draft order ID.
     */
    (draftOrderId: string, options?: SetBillingInfoOptions | undefined): Promise<SetBillingInfoResponse>;
}
declare function getDraftOrder$1(httpClient: HttpClient): GetDraftOrderSignature;
interface GetDraftOrderSignature {
    /**
     * Retrieves a draft order.
     *
     * The retrieved draft order contains the latest calculations:
     * + Line items, shipping details, and buyer information.
     * + Tax details and price totals.
     * + Automatic discounts and automatic additional fees, along with updated eligibility.
     *
     * > **Note:** When retrieving a committed draft order, it **is not recalculated**.
     * @param - Draft order ID.
     */
    (draftOrderId: string): Promise<GetDraftOrderResponse>;
}
declare function getOrderDraftabilityStatus$1(httpClient: HttpClient): GetOrderDraftabilityStatusSignature;
interface GetOrderDraftabilityStatusSignature {
    /**
     * Checks whether a draft can be created for an order.
     *
     * If `orderDraftable` returns as `true`, the order can be used to create a draft order.
     *
     * If `orderDraftable` returns as `false`, refer to the `nonDraftableReasons` array in the response to understand why the order is not draftable.
     * @param - Order ID.
     */
    (orderId: string): Promise<GetOrderDraftabilityStatusResponse>;
}
declare function commitDraftOrder$1(httpClient: HttpClient): CommitDraftOrderSignature;
interface CommitDraftOrderSignature {
    /**
     * Finalizes a draft order and applies its modifications to the associated order.
     * You can also control which side-effects are executed on commit.
     *
     * > **Notes:**
     * > + The draft order's status is set to `COMMITTED`.
     * > + Commiting a draft order cannot be undone or reverted.
     * > + A committed draft order does not allow for further modifications. However, it is kept for reference and can be retrieved.
     * @param - Draft order ID.
     */
    (draftOrderId: string, options?: CommitDraftOrderOptions | undefined): Promise<CommitDraftOrderResponse>;
}
declare function createOrderFromDraft$1(httpClient: HttpClient): CreateOrderFromDraftSignature;
interface CreateOrderFromDraftSignature {
    /**
     * Creates a new order from a draft, while specifying which side-effects are executed.
     *
     * > **Notes:**
     * > + The draft order's status is set to `COMMITTED`.
     * > + Commiting a draft order cannot be undone or reverted.
     * > + A committed draft order does not allow for further modifications. However, it is kept for reference and can be retrieved.
     * @param - Draft order ID.
     */
    (draftOrderId: string, options?: CreateOrderFromDraftOptions | undefined): Promise<CreateOrderFromDraftResponse>;
}
declare function deleteDraftOrder$1(httpClient: HttpClient): DeleteDraftOrderSignature;
interface DeleteDraftOrderSignature {
    /**
     * Deletes a draft order along with all its pending changes.
     *
     * Draft orders with status 'COMMITTED' cannot be deleted.
     * @param - Draft order ID.
     */
    (draftOrderId: string): Promise<void>;
}
declare function queryDraftOrders$1(httpClient: HttpClient): QueryDraftOrdersSignature;
interface QueryDraftOrdersSignature {
    /**
     * Retrieves a list of up to 100 draft orders, given the provided paging, filtering, and sorting.
     *
     * For field support, see [supported filters and sorting](https://dev.wix.com/docs/rest/business-solutions/e-commerce/orders/draft-orders/supported-filters-and-sorting).
     * To learn how to query draft orders, see [API Query Language](https://dev.wix.com/api/rest/getting-started/api-query-language).
     */
    (): DraftOrdersQueryBuilder;
}
declare function updateExtendedFields$1(httpClient: HttpClient): UpdateExtendedFieldsSignature;
interface UpdateExtendedFieldsSignature {
    /**
     * Updates extended fields on a draft order.
     * @param - ID of the entity to update.
     * @param - Identifier for the app whose extended fields are being updated.
     */
    (_id: string, namespace: string, options: UpdateExtendedFieldsOptions): Promise<UpdateExtendedFieldsResponse>;
}
declare function setTaxExemption$1(httpClient: HttpClient): SetTaxExemptionSignature;
interface SetTaxExemptionSignature {
    /**
     * Sets whether a draft order is tax-exempt.
     *
     * A tax exempted draft order ignores taxes during calculation. Tax information will return empty.
     * @param - Draft order ID.
     */
    (draftOrderId: string, options: SetTaxExemptionOptions): Promise<SetTaxExemptionResponse>;
}
declare function setBusinessLocation$1(httpClient: HttpClient): SetBusinessLocationSignature;
interface SetBusinessLocationSignature {
    /**
     * Sets business location on a draft order.
     *
     * When committed, the order will become associated to a specific business location. This affects who can see and manage this order, and how it is calculated in reports.
     * @param - Draft order ID.
     */
    (draftOrderId: string, options?: SetBusinessLocationOptions | undefined): Promise<SetBusinessLocationResponse>;
}
declare const onDraftOrderCreated$1: EventDefinition<DraftOrderCreatedEnvelope, "wix.ecom.v1.draft_order_created">;
declare const onDraftOrderDeleted$1: EventDefinition<DraftOrderDeletedEnvelope, "wix.ecom.v1.draft_order_deleted">;
declare const onDraftOrderUpdated$1: EventDefinition<DraftOrderUpdatedEnvelope, "wix.ecom.v1.draft_order_updated">;

declare const createDraftOrder: MaybeContext<BuildRESTFunction<typeof createDraftOrder$1> & typeof createDraftOrder$1>;
declare const createEmptyDraftOrder: MaybeContext<BuildRESTFunction<typeof createEmptyDraftOrder$1> & typeof createEmptyDraftOrder$1>;
declare const addLineItemsToDraftOrder: MaybeContext<BuildRESTFunction<typeof addLineItemsToDraftOrder$1> & typeof addLineItemsToDraftOrder$1>;
declare const updateLineItems: MaybeContext<BuildRESTFunction<typeof updateLineItems$1> & typeof updateLineItems$1>;
declare const setDiscounts: MaybeContext<BuildRESTFunction<typeof setDiscounts$1> & typeof setDiscounts$1>;
declare const createCustomDiscounts: MaybeContext<BuildRESTFunction<typeof createCustomDiscounts$1> & typeof createCustomDiscounts$1>;
declare const deleteCustomDiscounts: MaybeContext<BuildRESTFunction<typeof deleteCustomDiscounts$1> & typeof deleteCustomDiscounts$1>;
declare const setAdditionalFees: MaybeContext<BuildRESTFunction<typeof setAdditionalFees$1> & typeof setAdditionalFees$1>;
declare const createCustomAdditionalFees: MaybeContext<BuildRESTFunction<typeof createCustomAdditionalFees$1> & typeof createCustomAdditionalFees$1>;
declare const deleteCustomAdditionalFees: MaybeContext<BuildRESTFunction<typeof deleteCustomAdditionalFees$1> & typeof deleteCustomAdditionalFees$1>;
declare const setShippingInfo: MaybeContext<BuildRESTFunction<typeof setShippingInfo$1> & typeof setShippingInfo$1>;
declare const setBuyerInfo: MaybeContext<BuildRESTFunction<typeof setBuyerInfo$1> & typeof setBuyerInfo$1>;
declare const setRecipientInfo: MaybeContext<BuildRESTFunction<typeof setRecipientInfo$1> & typeof setRecipientInfo$1>;
declare const setBillingInfo: MaybeContext<BuildRESTFunction<typeof setBillingInfo$1> & typeof setBillingInfo$1>;
declare const getDraftOrder: MaybeContext<BuildRESTFunction<typeof getDraftOrder$1> & typeof getDraftOrder$1>;
declare const getOrderDraftabilityStatus: MaybeContext<BuildRESTFunction<typeof getOrderDraftabilityStatus$1> & typeof getOrderDraftabilityStatus$1>;
declare const commitDraftOrder: MaybeContext<BuildRESTFunction<typeof commitDraftOrder$1> & typeof commitDraftOrder$1>;
declare const createOrderFromDraft: MaybeContext<BuildRESTFunction<typeof createOrderFromDraft$1> & typeof createOrderFromDraft$1>;
declare const deleteDraftOrder: MaybeContext<BuildRESTFunction<typeof deleteDraftOrder$1> & typeof deleteDraftOrder$1>;
declare const queryDraftOrders: MaybeContext<BuildRESTFunction<typeof queryDraftOrders$1> & typeof queryDraftOrders$1>;
declare const updateExtendedFields: MaybeContext<BuildRESTFunction<typeof updateExtendedFields$1> & typeof updateExtendedFields$1>;
declare const setTaxExemption: MaybeContext<BuildRESTFunction<typeof setTaxExemption$1> & typeof setTaxExemption$1>;
declare const setBusinessLocation: MaybeContext<BuildRESTFunction<typeof setBusinessLocation$1> & typeof setBusinessLocation$1>;
/**
 * Triggered when a draft order is created.
 */
declare const onDraftOrderCreated: BuildEventDefinition<typeof onDraftOrderCreated$1>;
/**
 * Triggered when a draft order is deleted.
 */
declare const onDraftOrderDeleted: BuildEventDefinition<typeof onDraftOrderDeleted$1>;
/**
 * Triggered when a draft order is updated.
 */
declare const onDraftOrderUpdated: BuildEventDefinition<typeof onDraftOrderUpdated$1>;

export { AddLineItemsToDraftOrderOptions, AddLineItemsToDraftOrderResponse, CommitDraftOrderOptions, CommitDraftOrderResponse, CreateCustomAdditionalFeesOptions, CreateCustomAdditionalFeesResponse, CreateCustomDiscountsOptions, CreateCustomDiscountsResponse, CreateDraftOrderResponse, CreateEmptyDraftOrderResponse, CreateOrderFromDraftOptions, CreateOrderFromDraftResponse, DeleteCustomAdditionalFeesResponse, DeleteCustomDiscountsResponse, DraftOrderCreatedEnvelope, DraftOrderDeletedEnvelope, DraftOrderUpdatedEnvelope, DraftOrdersQueryBuilder, GetDraftOrderResponse, GetOrderDraftabilityStatusResponse, IdAndApplied, LineItemChangeDetails, SetAdditionalFeesResponse, SetBillingInfoOptions, SetBillingInfoResponse, SetBusinessLocationOptions, SetBusinessLocationResponse, SetBuyerInfoOptions, SetBuyerInfoResponse, SetDiscountsResponse, SetRecipientInfoOptions, SetRecipientInfoResponse, SetShippingInfoOptions, SetShippingInfoResponse, SetTaxExemptionOptions, SetTaxExemptionResponse, UpdateExtendedFieldsOptions, UpdateExtendedFieldsResponse, UpdateLineItemsResponse, addLineItemsToDraftOrder, commitDraftOrder, createCustomAdditionalFees, createCustomDiscounts, createDraftOrder, createEmptyDraftOrder, createOrderFromDraft, deleteCustomAdditionalFees, deleteCustomDiscounts, deleteDraftOrder, getDraftOrder, getOrderDraftabilityStatus, onDraftOrderCreated, onDraftOrderDeleted, onDraftOrderUpdated, queryDraftOrders, setAdditionalFees, setBillingInfo, setBusinessLocation, setBuyerInfo, setDiscounts, setRecipientInfo, setShippingInfo, setTaxExemption, updateExtendedFields, updateLineItems };
